openvpn-plugins-2.4.7-alt2.i586.rpm


Advertisement

Description

openvpn-plugins - external plugins for OpenVPN

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename openvpn-plugins-2.4.7-alt2.i586.rpm
Package name openvpn-plugins
Package version 2.4.7
Package release alt2
Package architecture i586
Package type rpm
Category System/Servers
Homepage -
License -
Maintainer -
Download size 76.36 KB
Installed size 76.36 KB
OpenVPN is a full-featured SSL VPN solution.
This package contains OpenVPN plugins for user authentication
via PAM and to allow run a down script with root privileges.

Alternatives

Package Version Architecture Repository
openvpn-plugins-2.4.7-alt2.x86_64.rpm 2.4.7 x86_64 Classic
openvpn-plugins - - -

Requires

Name Value
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.7) -
libpam.so.0 -
libpam.so.0(LIBPAM_1.0) -
openvpn = 2.4.7-alt2:sisyphus+231243.100.4.1
rpmlib(PayloadIsLzma) -

Provides

Name Value
openvpn-plugins = 2.4.7-alt2:sisyphus+231243.100.4.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package openvpn-plugins-2.4.7-alt2.i586.rpm
Source Package openvpn-2.4.7-alt2.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install openvpn-plugins rpm package:
    # sudo apt-get install openvpn-plugins

Files

Path
/usr/lib/openvpn/
/usr/lib/openvpn/plugins/openvpn-plugin-auth-pam.so
/usr/lib/openvpn/plugins/openvpn-plugin-defer.so
/usr/lib/openvpn/plugins/openvpn-plugin-down-root.so
/usr/lib/openvpn/plugins/openvpn-plugin-log.so
/usr/lib/openvpn/plugins/openvpn-plugin-simple.so
/usr/share/doc/openvpn-plugins-2.4.7/README.auth-pam
/usr/share/doc/openvpn-plugins-2.4.7/README.defer
/usr/share/doc/openvpn-plugins-2.4.7/README.down-root
/usr/share/doc/openvpn-plugins-2.4.7/README.plugins
/usr/share/doc/openvpn-plugins-2.4.7/README.simple

Changelog

2019-05-31 - Gleb F-Malinovskiy <glebfm@altlinux.org> 2.4.7-alt2
- Dropped BR: libssl10.
2019-05-02 - Nikolay A. Fetisov <naf@altlinux.org> 2.4.7-alt1
- New version
- Use system liblz4 (thanks Mikhail Efremov, @sem) (Closes: 36389)
2018-09-06 - Nikolay A. Fetisov <naf@altlinux.org> 2.4.6-alt2
- Rebuild with openssl 1.1.0i
2018-05-03 - Nikolay A. Fetisov <naf@altlinux.org> 2.4.6-alt1
- New version
2018-03-11 - Nikolay A. Fetisov <naf@altlinux.org> 2.4.5-alt1
- New version
- Updating patch for PKCS11 PIN prompt bug
2017-11-18 - Nikolay A. Fetisov <naf@altlinux.org> 2.4.4-alt1
- New version
- Security fixes:
+  CVE-2017-12166: Buffer overflow when using (obsolete) '--key-method 1'
2017-06-21 - Nikolay A. Fetisov <naf@altlinux.org> 2.4.3-alt1
- New version
- Security fixes:
+ CVE-2017-7522 Post-authentication --x509-track remote DoS
+ CVE-2017-7521 Post-authentication remote-triggerable memory leaks
+ CVE-2017-7521 Potential post-authentication remote code execution
on servers that use the --x509-username-field option
+ CVE-2017-7520 Pre-authentication remote crash / information disclosure
for clients
+ CVE-2017-7508 Remotely-triggerable ASSERT() on malformed IPv6 packet
- Force to use built-in PIN prompt with PKCS11 regardless
of systemd presence (OpenVPN bug 538)
2017-05-14 - Nikolay A. Fetisov <naf@altlinux.org> 2.4.2-alt1
- New version
- Security fixes:
+ CVE-2017-7478  Don't assert out on receiving too-large control packets
+ CVE-2017-7479  Drop packets instead of assert out if packet id rolls over
2017-03-23 - Nikolay A. Fetisov <naf@altlinux.org> 2.4.1-alt1
- New version
2017-02-19 - Nikolay A. Fetisov <naf@altlinux.org> 2.4.0-alt1
- New version
- Adding /dev/urandom into chroot (Closes: 32840)

See Also

Package Description
openvswitch-2.11.1-alt1.i586.rpm An open source, production quality, multilayer virtual switch
openvswitch-common-2.11.1-alt1.i586.rpm Common Open vSwitch code
openvswitch-devel-2.11.1-alt1.i586.rpm Open vSwitch Devel Libraries
openvswitch-ipsec-2.11.1-alt1.i586.rpm Open vSwitch IPsec tunneling support
openvswitch-ovn-central-2.11.1-alt1.i586.rpm Open vSwitch - Open Virtual Network support
openvswitch-ovn-common-2.11.1-alt1.i586.rpm Open vSwitch - Open Virtual Network support
openvswitch-ovn-docker-2.11.1-alt1.i586.rpm Open vSwitch - Open Virtual Network support
openvswitch-ovn-host-2.11.1-alt1.i586.rpm Open vSwitch - Open Virtual Network support
openvswitch-ovn-vtep-2.11.1-alt1.i586.rpm Open vSwitch - Open Virtual Network support
openvswitch-vtep-2.11.1-alt1.i586.rpm Open vSwitch VTEP emulator
openxcom-1.0_2019.06.28-alt1.i586.rpm OpenXcom is an open-source clone of the original X-COM
opera-dev-46.0.2573.0-alt4.i586.rpm A fast and secure web browser and Internet suite
opie-2.4-alt1.i586.rpm Support for One-Time Passwords
opie-devel-2.4-alt1.i586.rpm development headers for opie
oping-1.6.2-alt2.i586.rpm oping ICMP query tool
Advertisement
Advertisement